Fetch committee info directly from the EP v2 API as a fallback when MCP
returns placeholder data. Uses GET /corporate-bodies/{abbreviation} which
is the canonical lookup for a committee by its code (e.g. ENVI).
This function is intentionally conservative: it primarily populates name
and abbreviation, and may populate members from inverse_isVersionOf
when available. Placeholder status is broken by changing members from 0
(placeholder criteria is chair='N/A' AND members=0 AND docs=[]).
Fetch committee info directly from the EP v2 API as a fallback when MCP returns placeholder data. Uses
GET /corporate-bodies/{abbreviation}which is the canonical lookup for a committee by its code (e.g.ENVI).This function is intentionally conservative: it primarily populates
nameandabbreviation, and may populatemembersfrominverse_isVersionOfwhen available. Placeholder status is broken by changingmembersfrom0(placeholder criteria is chair='N/A' AND members=0 AND docs=[]).